MacOSX 10.11.6 and Mongo 3.4.10

Unable to upgrade to latest Mongo as it needs OSX 10.12. I tried but it’s getting too many errors. Reverted to 3.4.10. Trying to connect to Atlas and get this error:

MongoDB shell version v3.4.10
connecting to: mongodb://mflix-shard-00-00-9tz8f.mongodb.net:27017,mflix-shard-00-01-9tz8f.mongodb.net:27017,mflix-shard-00-02-9tz8f.mongodb.net:27017/test?replicaSet=mflix-shard-0
2019-09-23T09:06:54.441-0400 I NETWORK [thread1] Starting new replica set monitor for mflix-shard-0/mflix-shard-00-00-9tz8f.mongodb.net:27017,mflix-shard-00-01-9tz8f.mongodb.net:27017,mflix-shard-00-02-9tz8f.mongodb.net:27017
2019-09-23T09:06:54.521-0400 E NETWORK [thread1] SSL: error:1407742E:SSL routines:SSL23_GET_SERVER_HELLO:tlsv1 alert protocol version
2019-09-23T09:06:54.521-0400 E NETWORK [ReplicaSetMonitor-TaskExecutor-0] SSL: error:1407742E:SSL routines:SSL23_GET_SERVER_HELLO:tlsv1 alert protocol version
2019-09-23T09:06:54.652-0400 E NETWORK [ReplicaSetMonitor-TaskExecutor-0] SSL: error:1407742E:SSL routines:SSL23_GET_SERVER_HELLO:tlsv1 alert protocol version
2019-09-23T09:06:54.653-0400 W NETWORK [ReplicaSetMonitor-TaskExecutor-0] No primary detected for set mflix-shard-0
2019-09-23T09:06:54.653-0400 I NETWORK [ReplicaSetMonitor-TaskExecutor-0] All nodes for set mflix-shard-0 are down. This has happened for 1 checks in a row.
2019-09-23T09:06:55.192-0400 E NETWORK [thread1] SSL: error:1407742E:SSL routines:SSL23_GET_SERVER_HELLO:tlsv1 alert protocol version
2019-09-23T09:06:55.226-0400 E NETWORK [thread1] SSL: error:1407742E:SSL routines:SSL23_GET_SERVER_HELLO:tlsv1 alert protocol version
2019-09-23T09:06:55.258-0400 E NETWORK [thread1] SSL: error:1407742E:SSL routines:SSL23_GET_SERVER_HELLO:tlsv1 alert protocol version
2019-09-23T09:06:55.258-0400 W NETWORK [thread1] No primary detected for set mflix-shard-0
2019-09-23T09:06:55.258-0400 I NETWORK [thread1] All nodes for set mflix-shard-0 are down. This has happened for 2 checks in a row.

and the error message goes on. Looking at Atlas, the cluster is up and running. Any ideas? Thank you.

My Atlas (ver 4.2) is working with my mongo Shell ver 3.6 (Windows 7)

Thank you. I was attempting to use 3.4.10. I upgraded to 3.6 and it works. As it turns out, it seems 3.4 doesn’t support SSL. And my MAC OS doesn’t support MongoDB 4.x.

1 Like